---
title: "Fetch a certain Discount"
url: "https://developer.migros.ch/apis/prices-discounts-1/versions/f2d88540-a3d1-4e7d-9eb7-5d3dac51c93d/operations/auditDiscount"
---

> Full API specification: https://developer.migros.ch/apis/prices-discounts-1/versions/f2d88540-a3d1-4e7d-9eb7-5d3dac51c93d.md

# Fetch a certain Discount

`GET` `/migros/products/prices/v1/audit/discounts/{discountId}`

Operation ID: `auditDiscount`

Detail data of a discount for **human** consumption. You must not parse and must not process the returned HTML page.

## Path parameters

- `discountId` (string, required) - The ID of the discount.

## Responses

- `200` - Discount data for human audit.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Prices & Discounts
  version: 1.6.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migros/products/prices/v1/audit/discounts/{discountId}:
    get:
      description: |-
        Detail data of a discount for **human** consumption.

        You must not parse and must not process the returned HTML page.
      operationId: auditDiscount
      parameters:
        - $ref: "#/components/parameters/discountId"
      responses:
        "200":
          content:
            text/html: {}
          description: Discount data for human audit.
      summary: Fetch a certain Discount
      tags:
        - Audit
security:
  - Kong-Api-Key: []
components:
  parameters:
    discountId:
      description: The ID of the discount.
      in: path
      name: discountId
      required: true
      schema:
        example: "2034284"
        type: string
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
```
